@mixin font-face($family, $src, $style: normal, $weight: normal) {
  @font-face {
    font-family: $family;
    font-style: $style;
    font-weight: $weight;
    src: url('#{$src}.eot'); /* IE9 Compat Modes */
    src: url('#{$src}.woff2') format('woff2'), /* Super Modern Browsers */
         url('#{$src}.woff') format('woff'), /* Pretty Modern Browsers */
         url('#{$src}.ttf') format('truetype'), /* Safari, Android, iOS */
         url('#{$src}.svg##{$family}') format('svg'); /* legacy iOS */
  }
}

@include font-face('Roboto-Regular', '~@/assets/fonts/Roboto_Regular/Roboto-Regular');
@include font-face('Roboto-Bold', '~@/assets/fonts/Roboto_Bold/Roboto-Bold');
@include font-face('RobotoSlab-Regular', '~@/assets/fonts/Roboto_Slab_Regular/RobotoSlab-Regular');
@include font-face('RobotoSlab-Bold', '~@/assets/fonts/Roboto_Slab_Bold/RobotoSlab-Bold');
